/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34959A.h"

/// <summary>
///	Pointer to the IAgilent34959ADigital interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34959A::IAgilent34959A_get_Digital(IAgilent34959ADigital** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}

/// <summary>
///	Pointer to the IAgilent34959Aoute interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34959A::IAgilent34959A_get_Route(IAgilent34959ARoute** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}


